import Repeatable from "./Repeatable.vue";
import FormKitGroup from "./FormKitGroup.vue";
import { FormKitLibrary } from "@formkit/core";
import AutocompleteInput from "../data-provider-interface/components/AutocompleteInput.vue";
import BlankInput from "../data-provider-interface/components/BlankInput.vue"; 
import WidgetInput from "../data-provider-interface/components/WidgetInput.vue";
import FileUpload from "../data-provider-interface/components/FileUpload.vue";
import UniqueIdentifierInput from "../data-provider-interface/components/UniqueIdentifierInput.vue";
import SpatialInput from "../data-provider-interface/components/SpatialInput.vue";
import ConditionalInput from "../data-provider-interface/components/ConditionalInput.vue";
import SimpleSelect from "../data-provider-interface/components/SimpleSelect.vue";
import SimpleInput from "../data-provider-interface/components/SimpleInput.vue";
import SimpleAccessURLInput from "../data-provider-interface/components/SimpleAccessURLInput.vue";

export default {
  repeatable: {
    type: "list",
    component: Repeatable,
  },
  blank:{
    type: "input",
    component: BlankInput,
  },

  widget: {
    type: "input",
    component: WidgetInput,
  },
  id: {
    type: "input",
    component: UniqueIdentifierInput,
  },
  auto: {
    type: "group",
    component: AutocompleteInput,
  },
  fileupload: {
    type: "group",
    component: FileUpload,
  },
  spatialinput: {
    type: "group",
    component: SpatialInput,
  },
  formkitGroup: {
    type: "group",
    component: FormKitGroup,
  },
  simpleConditional: {
    type: "group",
    component: ConditionalInput,
  },
  simpleSelect: {
    type: "input",
    component: SimpleSelect,
  },
  simpleInput: {
    type: "input",
    component: SimpleInput,
  },
  simpleAccessURLInput: {
    type: "group",
    component: SimpleAccessURLInput,
  },
} as FormKitLibrary;
